#!/bin/sh
# Process a single file, converting to mp4 with 'mp4encode'.
# Usage:
# find /mnt/cdrom -iname '*.mpg' -exec ./process.sh {} ';'
# Lex, 09-Dec-05

# -- Settings --
# mp4encode path
MP4ENC="mp4encode.sh"
# output dir (no trailing '/')
ODIR="processed"

# Help text
args=$1
argsp=${args:0:1}
if [ "moo$args" = "moo" -o "$argsp" = "-" ]; then
  echo "Usage: $0 <video file to process>"
  echo "See script source for further information."
  exit 1
fi

IFILE=$1
f1="`basename $1`"
f2="`echo $f1 | tr "ABCDEFGHIJKLMNOPQRSTUVWXYZ" "abcdefghijklmnopqrstuvwxyz"`"
fn="$f2"
cmd="$MP4ENC $IFILE ${ODIR}/${fn%%mpg}avi"
echo -e "\n\e[1m>\e[m $cmd\n"
sleep 5
$cmd
